package com.bocloud.ims.entity.resource.azure.network;

import com.bocloud.entity.annotations.Column;
import com.bocloud.entity.annotations.PK;
import com.bocloud.entity.annotations.Table;
import com.bocloud.entity.bean.GenericEntity;
import com.bocloud.entity.meta.PKStrategy;

/**
 * @Company: 博云 www.bocloud.com
 * @ClassName: RouterTable
 * @Description:
 * @author: zhenpingLi/李振平
 * @date: 2021/1/4 15:56
 */
@Table("router_table")
public class RouterTable extends GenericEntity {

    @PK(value = PKStrategy.AUTO)
    private Long id; // ID
    @Column("uuid")
    private String uuid;
    @Column("region_id")
    private String regionId;
    @Column("vendor_id")
    private Long vendorId;
    @Column("tenant_id")
    private Long tenantId;
    @Column("project_id")
    private Long projectId;// 项目ID
    @Column("resource_group_Id")
    private Long resourceGroupId;
    @Column("route_propagation")
    private Boolean routePropagation;//传播网关路由

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getUuid() {
        return uuid;
    }

    public void setUuid(String uuid) {
        this.uuid = uuid;
    }

    public String getRegionId() {
        return regionId;
    }

    public void setRegionId(String regionId) {
        this.regionId = regionId;
    }

    public Long getVendorId() {
        return vendorId;
    }

    public void setVendorId(Long vendorId) {
        this.vendorId = vendorId;
    }

    public Long getTenantId() {
        return tenantId;
    }

    public void setTenantId(Long tenantId) {
        this.tenantId = tenantId;
    }

    public Long getProjectId() {
        return projectId;
    }

    public void setProjectId(Long projectId) {
        this.projectId = projectId;
    }

    public Long getResourceGroupId() {
        return resourceGroupId;
    }

    public void setResourceGroupId(Long resourceGroupId) {
        this.resourceGroupId = resourceGroupId;
    }

    public Boolean getRoutePropagation() {
        return routePropagation;
    }

    public void setRoutePropagation(Boolean routePropagation) {
        this.routePropagation = routePropagation;
    }
}